curl --location --request POST 'https://api.myvocal.ai/sound_clone/api/v1/cover' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'voiceId="111"' \
--form 'title="test"' \
--form 'callbackUrl="http://www.google.com"'
# success
{
"code": 1,
"message": "Success",
"data": {
"webhookId": "7812"
}
}
{
"code": -1,
"message": "error msg",
}
AI Cover
Generate a cover
Submit a song file and a Cover voice to create an AI cover. The result is delivered to your callback URL.
POST
/
sound_clone
/
api
/
v1
/
cover
curl --location --request POST 'https://api.myvocal.ai/sound_clone/api/v1/cover' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'voiceId="111"' \
--form 'title="test"' \
--form 'callbackUrl="http://www.google.com"'
# success
{
"code": 1,
"message": "Success",
"data": {
"webhookId": "7812"
}
}
{
"code": -1,
"message": "error msg",
}
AI Cover · Workflow: AI Cover quickstart
The finished cover is delivered to your
callbackUrl; see Cover callbacks (COVER_SONG). Generated covers are listed in Cover History.
Header
string
required
Your API key. See Authentication.
Body
string
required
Your custom voice’s id or premade voice’s id.
string
required
Please do not exceed 32 characters in length.If it is empty, the first 32 characters of target_song will be used as the title.
File
required
The target song you want to generate cover version.
Please upload mp3/wav files and do not exceed 50MB.
string
required
To receive the audio returned after processing is completed.
Response
number
Indicates whether the call was successful. 1 if successful.
string
When an exception occurs, specific exception information will be provided in the message.
object
Includes specific data.
Show Toggle object
Show Toggle object
string
When the request is successfully sent, a webhookId will be synchronously returned. The same information will also be called back in the callbackUrl, which is used to correlate the request and the response.
curl --location --request POST 'https://api.myvocal.ai/sound_clone/api/v1/cover' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'voiceId="111"' \
--form 'title="test"' \
--form 'callbackUrl="http://www.google.com"'
# success
{
"code": 1,
"message": "Success",
"data": {
"webhookId": "7812"
}
}
{
"code": -1,
"message": "error msg",
}
